Subject: bug#47725: closed (Re: [bug#47725] [PATCH 1/1] gnu: emacs-counsel-projectile: Update to 0.3.1-0.06b03c1)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 26 Apr 2021 19:10:02 +0000

Your bug report

#47725: [PATCH 0/1] Update emacs-counsel-projectile (api change)

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47725: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47725
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#47725] [PATCH 1/1] gnu: emacs-counsel-projectile: Update to 0.3.1-0.06b03c1
From: Nicolas Goaziou <[email-masked]>
To: David Dashyan <[email-masked]>
Cc: [email-masked]
Date: Mon, 26 Apr 2021 21:09:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

David Dashyan <[email-masked]> writes:

> +  (let ((commit "06b03c1080d3ccc3fa9b9c41b1ccbcf13f058e4b")
> +        (revision "0"))
> +    (package
> +      (name "emacs-counsel-projectile")
> +      (version (git-version "0.3.1" revision commit))

Thank you.

I added a proper commit message to the patch, and a comment explaining
why we're not using stable release anymore.

Applied.

Regards,
-- 
Nicolas Goaziou

Subject: [PATCH 0/1] Update emacs-counsel-projectile (api change)
From: David Dashyan <[email-masked]>
To: [email-masked]
Cc: David Dashyan <[email-masked]>
Date: Mon, 12 Apr 2021 16:17:05 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix!

Recently my counsel-projectile stopped working because of swiper update I
guess.

Problem was in ivy api change, more specifically
ivy--display-transformers-list function which is missing in recent version of
swiper.

counsel-projectile upstream commit fixing this issue:
https://github.com/ericdanan/counsel-projectile/commit/a9331c1fadc3b4975faac54dfe6492540180c29b

I'm using updated version now.

David Dashyan (1):
  gnu: emacs-counsel-projectile: Update to 0.3.1-0.06b03c1

 gnu/packages/emacs-xyz.scm | 45 ++++++++++++++++++++------------------
 1 file changed, 24 insertions(+), 21 deletions(-)

base-commit: 8615e21a8cfb01882b4785c950ccb89edc9c4bcc
-- 
2.31.1